--! @brief Minimal example without error.
entity all_ports_listed is
  port (
    --! @name My signal group
    --! @{
    input   : in  BIT;  --! My input.
    output  : out BIT;  --! My output.
    --! @}
    
    clk : in  BIT       --! Clock.
  );
end entity all_ports_listed;

--! @brief Empty architecture.
architecture rtl of all_ports_listed is
begin
end architecture rtl;

--! @brief Minimal example with error.
entity last_port_missing is
  port (
    clk : in  BIT;      --! Clock.
    
    --! @name My signal group
    --! @{
    input   : in  BIT;  --! My input.
    output  : out BIT   --! My output.
    --! @}
  );
end entity last_port_missing;

--! @brief Empty architecture.
architecture rtl of last_port_missing is
begin
end architecture rtl;
